```@meta
CurrentModule = ActionModels
```

# ActionModels Package

Documentation for [ActionModels](https://github.com/ilabcode/ActionModels.jl). The documentation has four elements: a conceptual introduction to the package, how to use it, guides for advanced use and a list of functions.

```@contents
```

## Conceptual introduction to action models

In this part of the documentation the ideas and intuition will be grounded for using the action models module. bla bla

[Introduction](markdowns/Introduction.md)

[Agent and actionmodel](Conceptual_introduction/agent_and_actionmodel.md)

[Fitting and simulating](Conceptual_introduction/fitting_vs_simulating.md)


## Using the package


1. [Introduction](markdowns/Introduction.md)
   
2. [Agent and actionmodel](Conceptual_introduction/agent_and_actionmodel.md)
   
3. [Fitting and simulating](Conceptual_introduction/fitting_vs_simulating.md)
   
4. [Creating Your Model](markdowns/creating_own_action_model.md)
   
   1. [Using Premade Agent Models](markdowns/premade_agents_and_models.md)
   
5. [Agent Based Simulation](markdowns/simulation_with_an_agent.md)
   
   1. [Utility Functions](markdowns/variations_of_util.md)
   
6. [Fitting An Agent Model ](markdowns/fitting_an_agent_model_to_data.md)

    1. [Predictive Simulations](markdowns/prior_predictive_sim.md)
   
 7. [Advanced usage](markdowns/custom_fit_model.md)


[Creating your agent](markdowns/creating_your_agent.md)

[Simulation with an agent](markdowns/simulation_with_an_agent.md)

[Creating your action model](markdowns/creating_own_action_model.md)

[fitting and agent model to data](markdowns/fitting_an_agent_model_to_data.md)

[prior and posterior predictive simulation](markdowns/prior_predictive_sim.md)

[utility functions](markdowns/variations_of_util.md)
## Advanced use

[complicated custom agents](markdowns/complicated_custom_agents.md)

[Custom fit_model() function](markdowns/custom_fit_model.md)
## Functions

```@index
```

```@autodocs
Modules = [ActionModels]
```
